Skip to content
Developer

NewsArticleType

Media5 EndpointsMedia / NewsArticleType

This method will get all MediaNewsArticleDataType Objects

GET/api/media/news_article_type

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of MediaNewsArticleDataType objectsarray<MediaNewsArticleDataType>

Show fields (10)
  • idstring

    Identifier of the news article data type. For example news or press release.

  • namestring

    Name of the news article type.

  • show_adminboolean

    Show the type in the admin app.

  • show_customerboolean

    Show the type in the customer app.

  • menu_namestring

    Name of the menu entry for the type.

  • show_admin_menuboolean

    Show the type in the admin menu.

  • show_customer_menuboolean

    Show the type in the customer app menu.

  • show_customer_descriptionboolean

    controls whether the customer news list shows the description below the headline

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/news_article_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": "42",
    "name": "Beispiel",
    "menu_name": "Beispiel",
    "show_customer_description": true,
    "show_admin": true,
    "show_customer": true,
    "show_admin_menu": true,
    "show_customer_menu": true,
    "deleted": true,
    "order": 1
  }
]

Add a new MediaNewsArticleDataType

POST/api/media/news_article_type

Responses

200Add a new MediaNewsArticleDataTypeMediaNewsArticleDataType

Show fields (10)
  • idstring

    Identifier of the news article data type. For example news or press release.

  • namestring

    Name of the news article type.

  • show_adminboolean

    Show the type in the admin app.

  • show_customerboolean

    Show the type in the customer app.

  • menu_namestring

    Name of the menu entry for the type.

  • show_admin_menuboolean

    Show the type in the admin menu.

  • show_customer_menuboolean

    Show the type in the customer app menu.

  • show_customer_descriptionboolean

    controls whether the customer news list shows the description below the headline

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/news_article_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "show_customer_description": true,
  "show_admin": true,
  "show_customer": true,
  "show_admin_menu": true,
  "show_customer_menu": true,
  "deleted": true,
  "order": 1
}

This method will get a single MediaNewsArticleDataType with the given id

GET/api/media/news_article_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single MediaNewsArticleDataTypeMediaNewsArticleDataType

Show fields (10)
  • idstring

    Identifier of the news article data type. For example news or press release.

  • namestring

    Name of the news article type.

  • show_adminboolean

    Show the type in the admin app.

  • show_customerboolean

    Show the type in the customer app.

  • menu_namestring

    Name of the menu entry for the type.

  • show_admin_menuboolean

    Show the type in the admin menu.

  • show_customer_menuboolean

    Show the type in the customer app menu.

  • show_customer_descriptionboolean

    controls whether the customer news list shows the description below the headline

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/news_article_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "show_customer_description": true,
  "show_admin": true,
  "show_customer": true,
  "show_admin_menu": true,
  "show_customer_menu": true,
  "deleted": true,
  "order": 1
}

Update a MediaNewsArticleDataType

PUT/api/media/news_article_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a MediaNewsArticleDataTypeMediaNewsArticleDataType

Show fields (10)
  • idstring

    Identifier of the news article data type. For example news or press release.

  • namestring

    Name of the news article type.

  • show_adminboolean

    Show the type in the admin app.

  • show_customerboolean

    Show the type in the customer app.

  • menu_namestring

    Name of the menu entry for the type.

  • show_admin_menuboolean

    Show the type in the admin menu.

  • show_customer_menuboolean

    Show the type in the customer app menu.

  • show_customer_descriptionboolean

    controls whether the customer news list shows the description below the headline

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/news_article_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "show_customer_description": true,
  "show_admin": true,
  "show_customer": true,
  "show_admin_menu": true,
  "show_customer_menu": true,
  "deleted": true,
  "order": 1
}

Update a MediaNewsArticleDataType

PATCH/api/media/news_article_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Update a MediaNewsArticleDataTypeMediaNewsArticleDataType

Show fields (10)
  • idstring

    Identifier of the news article data type. For example news or press release.

  • namestring

    Name of the news article type.

  • show_adminboolean

    Show the type in the admin app.

  • show_customerboolean

    Show the type in the customer app.

  • menu_namestring

    Name of the menu entry for the type.

  • show_admin_menuboolean

    Show the type in the admin menu.

  • show_customer_menuboolean

    Show the type in the customer app menu.

  • show_customer_descriptionboolean

    controls whether the customer news list shows the description below the headline

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • orderinteger

    Position of the entity in the order.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/news_article_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "show_customer_description": true,
  "show_admin": true,
  "show_customer": true,
  "show_admin_menu": true,
  "show_customer_menu": true,
  "deleted": true,
  "order": 1
}